import { html } from "lit";
import "@everymatrix/nuts-inbox-widget";
const meta = {
    title: 'Nuts/Components/nuts-inbox-widget',
    component: 'nuts-inbox-widget',
    args: {
        backendUrl: "",
        socketUrl: "",
        userId: "",
        sessionId: "",
        operatorId: "",
        subscriberId: "",
        deviceId: "",
        language: "en",
        environment: "stage",
        applicationIdentifier: "",
        clientStyling: "",
        clientStylingUrl: "",
        bellIconPosition: "left",
        notificationAction: "default",
        translationUrl: "",
    },
    argTypes: {
        backendUrl: { control: 'text', description: '' },
        socketUrl: { control: 'text', description: '' },
        userId: { control: 'text', description: '' },
        sessionId: { control: 'text', description: '' },
        operatorId: { control: 'text', description: '' },
        subscriberId: { control: 'text', description: '' },
        deviceId: { control: 'text', description: '' },
        language: { control: 'text', description: '' },
        environment: { control: 'text', description: '' },
        applicationIdentifier: { control: 'text', description: '' },
        clientStyling: { control: 'text', description: '' },
        clientStylingUrl: { control: 'text', description: '' },
        bellIconPosition: { control: 'text', description: '' },
        notificationAction: { control: 'text', description: '' },
        translationUrl: { control: 'text', description: '' },
    },
};
export default meta;
const Template = (args) => {
    return html `<nuts-inbox-widget
    backendUrl="${args.backendUrl}"
    socketUrl="${args.socketUrl}"
    userId="${args.userId}"
    sessionId="${args.sessionId}"
    operatorId="${args.operatorId}"
    subscriberId="${args.subscriberId}"
    deviceId="${args.deviceId}"
    language="${args.language}"
    environment="${args.environment}"
    applicationIdentifier="${args.applicationIdentifier}"
    clientStyling="${args.clientStyling}"
    clientStylingUrl="${args.clientStylingUrl}"
    bellIconPosition="${args.bellIconPosition}"
    notificationAction="${args.notificationAction}"
    translationUrl="${args.translationUrl}"
  ></nuts-inbox-widget>`;
};
export const Default = Template.bind({});
Default.args = {
    backendUrl: "",
    socketUrl: "",
    userId: "",
    sessionId: "",
    operatorId: "",
    subscriberId: "",
    deviceId: "",
    language: "en",
    environment: "stage",
    applicationIdentifier: "",
    clientStyling: "",
    clientStylingUrl: "",
    bellIconPosition: "left",
    notificationAction: "default",
    translationUrl: "",
};
